/* $Id: weight.c,v 1.1 2000/08/07 18:09:43 olegh Exp $ */
/*****************************************************************************

    Description: weight tables

    Author: Oleg Khovayko

   ***************************************************************************

                          PUBLIC DOMAIN NOTICE
              National Center for Biotechnology Information

    This software/database is a "United States Government Work" under the
    terms of the United States Copyright Act.  It was written as part of    
    the author's official duties as a United States Government employee
    and thus cannot be copyrighted.  This software/database is freely
    available to the public for use. The National Library of Medicine and
    the U.S. Government have not placed any restriction on its use or
    reproduction.

    Although all reasonable efforts have been taken to ensure the accuracy
    and reliability of the software and data, the NLM and the U.S.
    Government do not and cannot warrant the performance or results that
    may be obtained by using this software or data. The NLM and the U.S.
    Government disclaim all warranties, express or implied, including
    warranties of performance, merchantability or fitness for any
    particular purpose.

    Please cite the author in any work or product based on this material.

   ***************************************************************************

    Entry Points:

    Modification History:
        02 Mar 2000 - olegh - originally written

    Bugs and restriction on use:

    Notes:

*****************************************************************************/

/****************************************************************************/
/* Includes */
#include <fuzzy.h>

/****************************************************************************/

const Uint1 count_to_lw[] = {
/*  0 -   0 */   0, 
/*  1 -   4 */   1,  2,  3,  4,
/*  5 -  12 */   5,  5,  6,  6,  7,  7,  8,  8,
/* 13 -  24 */   9,  9,  9, 10, 10, 10, 11, 11, 11, 12, 12, 12,
/* 25 -  40 */  13, 13, 13, 13, 14, 14, 14, 14,  
                15, 15, 15, 15, 16, 16, 16, 16, 
/* 41 -  60 */  17, 17, 17, 17, 17, 18, 18, 18, 18, 18,
                19, 19, 19, 19, 19, 20, 20, 20, 20, 20,
/* 61 -  84 */  21, 21, 21, 21, 21, 21, 22, 22, 22, 22, 22, 22,
                23, 23, 23, 23, 23, 23, 24, 24, 24, 24, 24, 24, 
/* 85 - 112 */  25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 
                27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 28, 28, 28, 
/*112 - 136 */  29, 29, 29, 29, 29, 29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30,
                31, 31, 31, 31, 31, 31, 31, 31          
};

const Uint1 lw_to_count[] = {
  0, 
  1,  2,  3,  4, 
  5,  7,  9, 12,
 14, 17, 20, 23,
 26, 30, 34, 39,
 42, 48, 53, 59,
 63, 69, 76, 82,
 88, 95,102,109,
113,120,127
};
